
# todo

- investigate shift+insert & middle mouse click overrides for urxvt to use CLIPBOARD instead of PRIMARY
- fix disk check to ignore the active/mounted partition(s)
	- _We don't want to see the installation media as target for installation_
	- verify installation does not bork USB installer(s)
		- _need to test on a real machine for this?_
- triple check calculation of swap partition size for hibernation
	- conditional check to ensure swap file exists and is of appropriate size to automatically add `resume=` boot option
		- _test hibernate on a real system?_
- investigate potentially useful aur libraries:
	- https://aur.archlinux.org/packages/ncurses5-compat-libs
	- https://aur.archlinux.org/packages/lib32-ncurses5-compat-libs/
- switch to systemd user-space `transmission` to eliminate potential configuration conflicts
	- _this also eliminates root permission concerns_

- replace `virtualbox` in packer.json with `kvm`/`qemu`
	- _remove virtualbox related commands/packages from `install/packer.sh`_

- Create a branch to test `sway`/`wayland` packages as an alternative to `openbox`
	- _basically relearn entire desktop environment and new hotkeys..._
	- https://wiki.archlinux.org/index.php/Sway
	- https://www.reddit.com/r/swaywm/comments/eksf1p/steam_now_fully_works_under_sway/
	- _Test multiple proton/wine games on this setup_

- experiment with alternative file browsers
	- dolphin
	- nautilus
	- thunar
	- nemo
- _testing for thumbnailing speed, and folder thumbnail support to expedite file browsing_
	- _may depend on wayland compatibility?_

- experiment with `fcitx-mozc` for IME support

- look at replacing `startx`/`xinit` with `systemd` userspace xorg
	- https://wiki.archlinux.org/index.php/Systemd/User#Xorg_as_a_systemd_user_service
	- https://lists.freedesktop.org/archives/systemd-devel/2014-March/017552.html
		- _appears to be some caveats, including loading specific applications at launch?_
		- at one point I documented a tool called `dex` to launch `.desktop` from cli, may not be needed though?
